Page MenuHomePhabricator

Have main page tab text as Main Page and not as Page
Closed, ResolvedPublic

Description

Please change the tab text for the Main Page from Page to Main Page please. I know that you can do it manually but it should be done anyways.

Details

Related Gerrit Patches:

Event Timeline

Paladox created this task.Sep 6 2015, 5:35 PM
Paladox raised the priority of this task from to Needs Triage.
Paladox updated the task description. (Show Details)
Paladox added a project: MediaWiki-General.
Paladox added a subscriber: Paladox.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2015, 5:35 PM

Just create [[MediaWiki:Mainpage-nstab]]

Do you want a default translation for the optional message and make it non-optional?

Well I think the tab should be for main page by default it should say Main Page and allow people to opt out by doing what you suggested.

Krinkle added a subscriber: Krinkle.EditedSep 6 2015, 10:09 PM

We could mark it with translatewiki {{Identical|Main page}} as well. I'd recommend against making it default to {{int:mainpage}} since some wikis have a namespaced and/or camel-cased title there that isn't a good label (e.g. Special:MainPage or Project:Main_Page).

Message {{int:mainpage-description}} (as used in the sidebar) would be more appropriate in that case. This way wikis that override it with a different page will still have the correct (and localised) label.

I agree it makes sense to do this by default instead of requiring wikis to do it manually.

Ok yes. Where should I change and which message do I change.

Krinkle added a comment.EditedSep 17 2015, 5:49 AM

@Paladox In MediaWiki core, set key mainpage-nstab in messages en.json and qqq.json.

Change 239698 had a related patch set uploaded (by Paladox):
By default have Main Page test on tab

https://gerrit.wikimedia.org/r/239698

Change 239698 merged by jenkins-bot:
By default have Main page text on Main page tab

https://gerrit.wikimedia.org/r/239698

Umherirrender closed this task as Resolved.Sep 22 2015, 4:50 PM
Umherirrender assigned this task to Paladox.